Get campaign
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 40,
"name": "AGM reminder",
"description": null,
"channels": [
"email",
"sms"
],
"status": "sent",
"scheduled_at": "2026-09-20T09:00:00Z",
"scheduled_timezone": "Africa/Lagos",
"recurrence_rule": null,
"parent_campaign_id": null,
"sent_at": "2026-09-20T09:00:12Z",
"stats": {
"email": {
"sent": 118,
"delivered": 115
},
"sms": {
"sent": 118,
"delivered": 110
}
},
"createddate": "2026-09-15T00:00:00Z",
"lastmodifieddate": null
}
}
Communication Campaigns
Get campaign
One campaign.
GET
/
v1
/
campaigns
/
{campaign_id}
Get campaign
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/campaigns/{campaign_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 40,
"name": "AGM reminder",
"description": null,
"channels": [
"email",
"sms"
],
"status": "sent",
"scheduled_at": "2026-09-20T09:00:00Z",
"scheduled_timezone": "Africa/Lagos",
"recurrence_rule": null,
"parent_campaign_id": null,
"sent_at": "2026-09-20T09:00:12Z",
"stats": {
"email": {
"sent": 118,
"delivered": 115
},
"sms": {
"sent": 118,
"delivered": 110
}
},
"createddate": "2026-09-15T00:00:00Z",
"lastmodifieddate": null
}
}
One campaign.
Required scope:
campaigns:read
{
"status": "success",
"data": {
"id": 40,
"name": "AGM reminder",
"description": null,
"channels": [
"email",
"sms"
],
"status": "sent",
"scheduled_at": "2026-09-20T09:00:00Z",
"scheduled_timezone": "Africa/Lagos",
"recurrence_rule": null,
"parent_campaign_id": null,
"sent_at": "2026-09-20T09:00:12Z",
"stats": {
"email": {
"sent": 118,
"delivered": 115
},
"sms": {
"sent": 118,
"delivered": 110
}
},
"createddate": "2026-09-15T00:00:00Z",
"lastmodifieddate": null
}
}
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.

